.\" $NetBSD: ulpt.4,v 1.10 2009/04/10 15:09:26 joerg Exp $
.\"
.\" Copyright (c) 1999 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 16, 2009
.Dt ULPT 4
.Os
.Sh NAME
.Nm ulpt
.Nd USB printer support
.Sh SYNOPSIS
.Cd "ulpt*   at uhub?"
.Sh DESCRIPTION
The
.Nm
driver provides support for Universal Serial Bus
.Pq Tn USB
printers that follow either the
.Tn USB
printer uni-directional or bi-directional protocol.
.Pp
Additional bits OR-ed in the minor device number with the unit number
select various features of the driver:
.Pp
.Bl -column "Minor Bit" "Functionxxxxxxxxxxxxxxxxxxxxxxxxxxxx" -offset indent
.It Sy "Minor Bit" Ta Sy Function
.It 0x40 Ta \&Do not initialize (reset) the device on the port.
.El
.Pp
Some printers cannot handle the reset on open; in case of problems try the
.Pa ulpn
device.
.Sh FILES
.Bl -tag -width xxxxxxxxxx
.It Pa /dev/ulpt?
.Tn USB
printer with reset on open
.It Pa /dev/ulpn?
.Tn USB
printer without reset on open
.El
.Sh SEE ALSO
.Xr lpt 4 ,
.Xr usb 4
.Rs
.%T USB Device Class Definition for Printing Devices
.%I USB Implementors Forum
.%D January 2000
.Re
.Pa http://www.usb.org/developers/devclass_docs/usbprint11.pdf
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 1.4 .
